>From f66d15d2e64b75a4bb4b01438b30ccc1b1400a8a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filip=20Ros=C3=A9en?= <filip@atch.se>
Date: Wed, 2 Nov 2016 00:35:19 +0100
Subject: [PATCH] gui/macosx: fix check for conditional slider in config

The default range for integers is (INT64_MIN, INT64_MAX), and with
that said, the implementation to check whether or not a range has been
set should use these values.

Also, given that a module can specify that the range is from
(INT64_MIN, x) or (x, INT64_MAX), the predicate has been modified to
properly display a slider for these entities.
---
 modules/gui/macosx/prefs_widgets.m | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules/gui/macosx/prefs_widgets.m b/modules/gui/macosx/prefs_widgets.m
index 7ddd211..e40494e 100644
--- a/modules/gui/macosx/prefs_widgets.m
+++ b/modules/gui/macosx/prefs_widgets.m
@@ -796,7 +796,7 @@ o_textfield = [[NSSecureTextField alloc] initWithFrame: s_rc];              \
         case CONFIG_ITEM_INTEGER:
             if (_p_item->list_count)
                 control = [[IntegerListConfigControl alloc] initWithItem: _p_item withView: parentView];
-            else if (_p_item->min.i > INT32_MIN && _p_item->max.i < INT32_MAX)
+            else if (_p_item->min.i > INT64_MIN || _p_item->max.i < INT64_MAX)
                 control = [[RangedIntegerConfigControl alloc] initWithItem: _p_item withView: parentView];
             else
                 control = [[IntegerConfigControl alloc] initWithItem: _p_item withView: parentView];
-- 
2.10.1

